Ada Reference Manual (Ada 2022) — Legal Information

# J.15.4 Pragma Storage_Size

#### Syntax

1/3
The form of a pragma Storage_Size is as follows:
2/3
pragma Storage_Size (expression);
3/3
A pragma Storage_Size is allowed only immediately within a task_definition.

#### Name Resolution Rules

4/3
The expression of a pragma Storage_Size is expected to be of any integer type.

#### Static Semantics

5/3
The pragma Storage_Size sets the Storage_Size aspect (see 13.3) of the type defined by the immediately enclosing task_definition to the value of the expression of the pragma.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe